Get data freshness
curl --request GET \
--url https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"symbol": "BTC",
"coin": "BTC",
"exchange": "hyperliquid",
"measured_at": "2026-02-23T12:00:00.000Z",
"orderbook": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"trades": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"funding": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"open_interest": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"liquidations": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
}
},
"meta": {
"count": 123,
"next_cursor": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": 400,
"error": "Invalid request parameters"
}{
"code": 401,
"error": "Missing or invalid API key. Provide X-API-Key header."
}{
"code": 429,
"error": "Rate limit exceeded"
}Get data freshness
0xArchive API reference for Get data freshness. Includes authentication, parameters, response shape, examples, and route-safe implementation notes.
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
freshness
/
{symbol}
Get data freshness
curl --request GET \
--url https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.0xarchive.io/v1/hyperliquid/freshness/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"symbol": "BTC",
"coin": "BTC",
"exchange": "hyperliquid",
"measured_at": "2026-02-23T12:00:00.000Z",
"orderbook": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"trades": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"funding": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"open_interest": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
},
"liquidations": {
"last_updated": "2026-02-23T12:00:00.000Z",
"lag_ms": 1200
}
},
"meta": {
"count": 123,
"next_cursor": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": 400,
"error": "Invalid request parameters"
}{
"code": 401,
"error": "Missing or invalid API key. Provide X-API-Key header."
}{
"code": 429,
"error": "Rate limit exceeded"
}Authorizations
API key for authentication. Get yours at https://0xarchive.io/dashboard
Path Parameters
Coin symbol (e.g., BTC, ETH, SOL)
Example:
"BTC"
Response
Data freshness for the coin
API response wrapping coin freshness data
Example:
true
Data freshness for all data types for a specific coin
Hide child attributes
Hide child attributes
Trading pair symbol
Example:
"BTC"
Trading pair symbol (deprecated, use symbol instead)
Example:
"BTC"
Exchange name
Example:
"hyperliquid"
When the freshness was measured
Example:
"2026-02-23T12:00:00.000Z"
Freshness information for a single data type
Freshness information for a single data type
Freshness information for a single data type
Last modified on July 7, 2026
Was this page helpful?
⌘I